Contenu | Rechercher | Menus

Annonce

Ubuntu-fr vend de superbes t-shirts et de belles clés USB 32Go
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 10/08/2019, à 13:33

Regor02

Retour sur la page de mot de passe au démarrage

Bonjour ,

Je suis débutant avec peu d'expérience, j'ai une installation ubuntut Mate 18.04 sur Raspberry Pi 3, j'ai fait une série d'intervention pour mettre à jour via Putty .
Je crois que mon problème est survenu quand j'ai fait un sudo apt-get upgrade, mais comme j'.ai fait plusieurs essais je ne peu confirmer.
Bref, j'ai vu sur un tutoriel qu'on recommande d'utiliser Boot-info, j'ai fait les commandes :  sudo add-apt-repository -y ppa:yannubuntu/boot-repair && sudo apt update && sudo apt install -y boot-info
et quand j'essais la commande : sudo boot-info j'obtiens :

 [sudo] password for roger:
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
/usr/share/boot-sav/bs-cmd.sh: line 17: 23057 Segmentation fault      $G2S $1 -g /usr/share/boot-sav/boot-sav.glade -s /usr/share/boot-sav/$APPNAME.sh --combobox="@@_combobox_format_partition@@col" --combobox="@@_combobox_bootflag@@col" --combobox="@@_combobox_ostoboot_bydefault@@col" --combobox="@@_combobox_purge_grub@@col" --combobox="@@_combobox_separateboot@@col" --combobox="@@_combobox_efi@@col" --combobox="@@_combobox_sepusr@@col" --combobox="@@_combobox_place_grub@@col" --combobox="@@_combobox_add_kernel_option@@col" --combobox="@@_combobox_restore_mbrof@@col" --combobox="@@_combobox_partition_booted_bymbr@@col"
xhost:  unable to open display ""

J'ai aussi essayé : sudo apt-get dist-upgrade -y
et j'obtiens :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  apt-clone archdetect-deb cryptsetup-bin dpkg-repack gir1.2-json-1.0
  gir1.2-nm-1.0 gir1.2-nma-1.0 gir1.2-timezonemap-1.0 gir1.2-xkl-1.0
  libdebian-installer4 libllvm7 libtimezonemap-data libtimezonemap1
  python3-icu python3-pam rdate
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les NOUVEAUX paquets suivants seront installés :
  linux-image-4.15.0-1041-raspi2 linux-modules-4.15.0-1041-raspi2
Les paquets suivants seront mis à jour :
  linux-firmware-raspi2 linux-image-raspi2
2 mis à jour, 2 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 33,1 Mo/36,7 Mo dans les archives.
Après cette opération, 131 Mo d'espace disque supplémentaires seront utilisés.
Réception de :1 http://ports.ubuntu.com bionic-updates/universe armhf linux-modules-4.15.0-1041-raspi2 armhf 4.15.0-1041.44 [26,4 MB]
Réception de :2 http://ports.ubuntu.com bionic-updates/universe armhf linux-image-4.15.0-1041-raspi2 armhf 4.15.0-1041.44 [6682 kB]
Réception de :3 http://ports.ubuntu.com bionic-updates/universe armhf linux-image-raspi2 armhf 4.15.0.1041.39 [2512 B]
33,1 Mo réceptionnés en 11s (3096 ko/s)
(Lecture de la base de données... 171856 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../linux-firmware-raspi2_1.20190215-0ubuntu0.18.04.1_armhf.deb ...
Dépaquetage de linux-firmware-raspi2 (1.20190215-0ubuntu0.18.04.1) sur (1.20180919-0ubuntu0.18.04.2) ...
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/linux-firmware-raspi2_1.20190215-0ubuntu0.18.04.1_armhf.deb (--unpack) :
 tentative de remplacement de « /lib/firmware/brcm/BCM43430A1.hcd », qui appartient aussi au paquet bluez-firmware 1.2-4+rpt1~bionic1.0
dpkg-deb: erreur: coller subprocess was killed by signal (Broken pipe)
Sélection du paquet linux-modules-4.15.0-1041-raspi2 précédemment désélectionné.
Préparation du dépaquetage de .../linux-modules-4.15.0-1041-raspi2_4.15.0-1041.44_armhf.deb ...
Dépaquetage de linux-modules-4.15.0-1041-raspi2 (4.15.0-1041.44) ...
Sélection du paquet linux-image-4.15.0-1041-raspi2 précédemment désélectionné.
Préparation du dépaquetage de .../linux-image-4.15.0-1041-raspi2_4.15.0-1041.44_armhf.deb ...
Dépaquetage de linux-image-4.15.0-1041-raspi2 (4.15.0-1041.44) ...
Préparation du dépaquetage de .../linux-image-raspi2_4.15.0.1041.39_armhf.deb ...
Dépaquetage de linux-image-raspi2 (4.15.0.1041.39) sur (4.15.0.1040.38) ...
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/linux-firmware-raspi2_1.20190215-0ubuntu0.18.04.1_armhf.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Pouvez -vous m'aider ? peut-être en premier pour régler l'installation de boot-info

Merci

Modération : votre post est dans la bonne section. Si vous n'avez pas reçu de réponses, c'est peut être parce que pendant les congés d'été les membres sont moins nombreux à se connecter (16 membres en ligne en ce moment).
J'ai jeté un œil sur la doc concernant l'installation sur Raspberry, et j'y ai trouvé ceci.

Dernière modification par Ayral (Le 12/08/2019, à 20:07)

Hors ligne